%define	evolution_base_version	%(echo %{version} | awk -F. '{print $1"."$2 + $2 % 2}')
%define	api	1.2
%define	major	0
%define	libeews		%mklibname eews %{api} %{major}
%define	libewsutils	%mklibname ewsutils %{major}
%define	liblzx		%mklibname lzx %{major}
%define	devname		%mklibname eews -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Exchange Connector for Evolution, compatible with Exchange 2007 and later
Name:		evolution-ews
Version:	3.22.6
Release:	%mkrel 1
License:	LGPLv2+
Group:		Networking/Mail
Url:		https://wiki.gnome.org/Apps/Evolution/EWS
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(camel-1.2) >= %{version}
BuildRequires:	pkgconfig(evolution-data-server-1.2) >= %{version}
BuildRequires:	pkgconfig(evolution-shell-3.0) >= %{version}
BuildRequires:	pkgconfig(glib-2.0) >= 2.32
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(libebackend-1.2) >= %{version}
BuildRequires:	pkgconfig(libedata-book-1.2) >= %{version}
BuildRequires:	pkgconfig(libedata-cal-1.2) >= %{version}
BuildRequires:	pkgconfig(libedataserver-1.2) >= %{version}
BuildRequires:	pkgconfig(libemail-engine) >= %{version}
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.42
BuildRequires:	pkgconfig(webkitgtk-3.0)
BuildRequires:	pkgconfig(libgtkhtml-4.0)
BuildRequires:	pkgconfig(libmspack)
BuildRequires:	gnome-common
Requires:	evolution >= %{version}

%description
The EWS Exchange Connector for Evolution provides a Exchange backend
from evolution-data-server as well as plugins for Evolution to access
Exchange features.

The EWS Exchange Connector is using the Exchange Web Services interface
and is therefore compatible with Exchange 2007 and later.

Provides exchange connectivity for exchange server 2007 and later using
exchange web services protocol.

%package  -n %{libeews}
Summary:	Client library for Accessing Exchange Servers
Group:		System/Libraries

%description -n %{libeews}
This library is a client library for accessing Exchange servers through
the Exchange Web Services interface (compatible with Exchange 2007 and
later).

%package  -n %{libewsutils}
Summary:	Client library for Accessing Exchange Servers -- Utilities library
Group:		System/Libraries

%description -n %{libewsutils}
This library provides utilities API for EWS Exchange Connector.

%package -n %{devname}
Summary:	Client library for Accessing Exchange Servers - Development Files
Group:		Development/C
Requires:	%{libeews} = %{version}
Requires:	%{libewsutils} = %{version}

%description -n %{devname}
This library is a client library for accessing Exchange servers through
the Exchange Web Services interface (compatible with Exchange 2007 and
later).

%prep
%setup -q
%autopatch -p1

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README
%{_libdir}/evolution-data-server/addressbook-backends/libebookbackendews.so
%{_libdir}/evolution-data-server/calendar-backends/libecalbackendews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.urls
%{_libdir}/evolution-data-server/registry-modules/module-ews-backend.so
%{_libdir}/evolution/modules/module-ews-configuration.so
%{_datadir}/evolution/errors/module-ews-configuration.error
%{_datadir}/evolution-data-server/ews/windowsZones.xml
%{_datadir}/appdata/%{name}.metainfo.xml

%files -n %{libeews}
%{_libdir}/evolution-data-server/libeews-%{api}.so.%{major}{,.*}

%files -n %{libewsutils}
%{_libdir}/evolution-data-server/libewsutils.so.%{major}{,.*}

%files -n %{devname}
#%{_libdir}/pkgconfig/libeews-1.2.pc
%{_libdir}/evolution-data-server/libeews-1.2.so
%{_libdir}/evolution-data-server/libewsutils.so
%{_includedir}/evolution-data-server/ews


%changelog
* Mon Mar 13 2017 ovitters <ovitters> 3.22.6-1.mga6
+ Revision: 1092319
- new version 3.22.6

* Mon Feb 13 2017 ovitters <ovitters> 3.22.5-1.mga6
+ Revision: 1085950
- new version 3.22.5
- new version 3.22.4
- new version 3.22.3
- new version 3.22.2

* Tue Oct 11 2016 pterjan <pterjan> 3.22.1-3.mga6
+ Revision: 1060217
- Rebuild some recently rejected packages, some were due to a bug in the build system

* Tue Oct 11 2016 pterjan <pterjan> 3.22.1-2.mga6
+ Revision: 1060184
- Rebuild some recently rejected packages, some were due to a bug in the build system

* Mon Oct 10 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1059916
- new version 3.22.1
- dropped merged patch 2
- dropped merged patch 1

* Sat Oct 08 2016 wally <wally> 3.22.0-2.mga6
+ Revision: 1059691
- add patch from upstream to properly fix underlinking (bgo#771931)
- add patch from upstream to workaround Exchange 2016 returning broken MIME content (bgo#771370)

* Fri Oct 07 2016 tv <tv> 3.22.0-1.mga6
+ Revision: 1059385
- "fix" underlinking

  + ovitters <ovitters>
    - new version 3.22.0

* Tue Jul 12 2016 tmb <tmb> 3.20.4-1.mga6
+ Revision: 1041220
- update to 3.20.4

* Sun Jun 12 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1021270
- new version 3.20.3

* Mon May 09 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011182
- new version 3.20.2

* Mon Apr 11 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000229
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993485
- new version 3.20.0

* Mon Mar 14 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990442
- new version 3.19.92

* Mon Feb 29 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 980750
- new version 3.19.91

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961010
- new version 3.19.90

* Mon Jan 25 2016 luigiwalser <luigiwalser> 3.19.4-2.mga6
+ Revision: 927281
- rebuild for libical

  + ovitters <ovitters>
    - new version 3.19.4

* Mon Dec 14 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910355
- new version 3.19.3

* Mon Nov 23 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905269
- new version 3.19.2

* Mon Nov 09 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 899703
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 889880
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882942
- new release

  + ovitters <ovitters>
    - new version 3.17.92

* Mon Aug 31 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871442
- new version 3.17.91

* Thu Aug 20 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 866948
- new version 3.17.90

* Mon Aug 10 2015 ovitters <ovitters> 3.16.5-1.mga6
+ Revision: 862417
- new version 3.16.5
- new version 3.16.4
- dropped merged patch 1

* Thu Jun 25 2015 fwang <fwang> 3.16.3-1.mga6
+ Revision: 842832
- fix localedir

  + ovitters <ovitters>
    - new version 3.16.3
    - new version 3.15.92

* Mon Feb 16 2015 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 815027
- new version 3.13.90

* Sat Feb 07 2015 oden <oden> 3.13.10-2.mga5
+ Revision: 813888
- build against system libmspack

* Mon Jan 26 2015 ovitters <ovitters> 3.13.10-1.mga5
+ Revision: 812274
- new version 3.13.10

* Wed Dec 24 2014 ovitters <ovitters> 3.13.9-1.mga5
+ Revision: 805435
- new version 3.13.9
- new version 3.13.8

* Wed Oct 15 2014 umeabot <umeabot> 3.13.6-2.mga5
+ Revision: 743501
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 ovitters <ovitters> 3.13.6-1.mga5
+ Revision: 733825
- new version 3.13.6
- new version 3.13.5

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Mon Jul 28 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 657707
- new version 3.13.4
- automatically determine evolution-data-server version

* Tue Jun 24 2014 barjac <barjac> 3.13.3-1.mga5
+ Revision: 639331
- br libgtkhtml-4.0

  + ovitters <ovitters>
    - update url
    - new version 3.13.3
    - dropped merged patch 1

* Wed May 28 2014 fwang <fwang> 3.13.2-1.mga5
+ Revision: 627180
- update base ver
- build as module
- update br

  + ovitters <ovitters>
    - new version 3.13.2
    - new version 3.12.2
    - new version 3.12.1
    - new version 3.12.0
    - new version 3.11.92
    - new version 3.11.91

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593717
- new version 3.11.90

* Thu Feb 06 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 583997
- new version 3.11.5

* Tue Feb 04 2014 ovitters <ovitters> 3.10.3-1.mga5
+ Revision: 582704
- new version 3.10.3

* Sun Nov 10 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550402
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 541713
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 496279
- new version 3.10.1

* Sat Sep 21 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 482970
- new version 3.10.0

* Sun Sep 15 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 479888
- new version 3.9.92

* Sun Sep 01 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474012
- new version 3.9.91

* Sun Aug 18 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 467468
- update br

  + ovitters <ovitters>
    - new version 3.9.90

* Sun Jul 28 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 459833
- new version 3.9.5

* Sat Jul 27 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 459014
- new version 3.9.4

* Wed Jul 24 2013 fwang <fwang> 3.8.4-2.mga4
+ Revision: 457654
- requires evo

* Wed Jul 24 2013 fwang <fwang> 3.8.4-1.mga4
+ Revision: 457649
- lzx becomes static lib
- use internal lzx

  + ovitters <ovitters>
    - new version 3.8.4

* Sat Jun 08 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 440689
- new version 3.8.3

* Sun Jun 02 2013 fwang <fwang> 3.8.2-2.mga4
+ Revision: 434373
- rebuild for new ical

* Sun May 26 2013 fwang <fwang> 3.8.2-1.mga4
+ Revision: 427843
- update file list
- update file list
- update file list
- new version 3.8.2

* Mon Jan 21 2013 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 390600
- new version 3.6.3

* Fri Jan 11 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 349805
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 317027
- new version 3.6.1

* Sat Sep 22 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 296725
- new version 3.6.0

* Sun Sep 16 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 294454
- new version 3.5.92

* Sat Sep 01 2012 fwang <fwang> 3.5.91-1.mga3
+ Revision: 287032
- update file list
- update file list
- update file list
- new version 3.5.91

  + ovitters <ovitters>
    - new version 3.5.5
    - clean spec
    - Import from Mandriva

